***************************************************************************************************************************************************************************.
* Peligroso recolectados por  tipo de residuo, y el tipo de gestin por las empresas en el 2013.
***************************************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\Empresas.sav'.

WEIGHT by FExp.

ALTER TYPE tip_emp_cod ER241 ER2411 E251 ER2511 (f2,0).

SORT CASES  BY  EG1212 .
SPLIT FILE SEPARATE BY EG1212 .

* Recoleccion de residuos No Peligrosos.
CTABLES
  /VLABELS VARIABLES=tip_emp_cod ER241 ER2411 E251 ER2511 DISPLAY=LABEL
  /TABLE tip_emp_cod [COUNT F40.0] BY ER241 + ER2411 + E251 + ER2511
  /CATEGORIES VARIABLES=tip_emp_cod [2, 3, 4]EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER241 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER2411 ['1', '2'] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=E251 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER2511 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*Recoleccion de residuos No Peligrosos ACTIVIDAD PRINCIPAL.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=EG121ai ER241 ER2411 E251 ER2511 DISPLAY=LABEL
  /TABLE EG121ai [COUNT F40.0] BY ER241 + ER2411 + E251 + ER2511
  /CATEGORIES VARIABLES=EG121ai ['1', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER241 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER2411 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=E251 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER2511 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

***************************************************************************************************************************************************************************.
* Cantidad de residuos slidos No peligrosos Peligroso   -  Peligroso recolectados por  tipo de residuo, y el tipo de gestin por las empresas en el 2013.
***************************************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\Residuos.sav'.

WEIGHT by FExp.

ALTER TYPE ER2422 (f4.0).

RECODE ER2422 (121 142 152 = SYSMIS).
EXECUTE.

SORT CASES  BY  EG1212 ER2422a.
SPLIT FILE SEPARATE BY EG1212 ER2422a.

CTABLES
  /VLABELS VARIABLES=EG121ai ER2422 ER2422b DISPLAY=LABEL
  /TABLE EG121ai > ER2422 BY ER2422b [COUNT F40.0, SUM]
  /CATEGORIES VARIABLES=EG121ai ['1', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ER2422 [11, 12, 21, 22, 31, 32, 41, 42, 51, 52, 61, 62, 71, 72, 81, 82, 91, 
    92, 101, 102, 111, 112, 121, 122, 132, 142, 152] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

***************************************************************************************************************************************************************************.
*Empresas que Captan Agua por fuentes y Suministro de Red Pblica.
***************************************************************************************************************************************************************************.

GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\Empresas.sav'.

WEIGHT by FExp.

ALTER TYPE EA261,EA262 EG121ai (f2,0).

* Nacional.
CTABLES
  /VLABELS VARIABLES=EG121ai EA261 EA262 DISPLAY=LABEL
  /TABLE EG121ai [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY EA261 + EA262
  /CATEGORIES VARIABLES=EG121ai EA261 EA262 ORDER=A KEY=VALUE EMPTY=INCLUDE.

* Tipo de Empresa.
CTABLES
  /VLABELS VARIABLES=tip_emp_cod EA261 EA262 DISPLAY=LABEL
  /TABLE tip_emp_cod [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY EA261 + EA262
  /CATEGORIES VARIABLES=EG121ai EA261 EA262 ORDER=A KEY=VALUE EMPTY=INCLUDE.

SORT CASES  BY  EG1212 .
SPLIT FILE SEPARATE BY EG1212.

* Tabla de RED FUENTE AMBAS.
ALTER TYPE EA262 EA261 (f2.0).

recode EA261 (2=SYSMIS).
recode EA262 (2=SYSMIS).
EXECUTE.

compute Tip_sumin_agua = 0.
IF (EA262 = 1 & EA261 =1)Tip_sumin_agua=1.
VARIABLE LABELS Tip_sumin_agua 'Tipo de Suministro de Agua RED o FUENTE'.
RECODE Tip_sumin_agua (0 = SYSMIS).
EXECUTE.
 
COMPUTE total =1.
TABLES
/TABLE EG121ai + total by EA261 + EA262 + Tip_sumin_agua
/STATISTICS COUNT CPCT( EA261 EA262 Tip_sumin_agua).

*****************************************************************************************************************************************************.
*Cantidad de agua suministrada por red pblica y  de utilizacin para consumo y para procesos industriales.
*****************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\Empresas.sav'.

WEIGHT by FExp.

SORT CASES  BY  EG1212 .
SPLIT FILE SEPARATE BY EG1212.

RECODE EA26211 (-1 -2 = SYSMIS).
EXECUTE.
**** CONSUMO ***.
compute Consumo1 =0.
compute Consumo2 =0.
compute cod_EA26211=EA26211.
EXECUTE.
if (EA2631a=100)Consumo1 =cod_EA26211.
RECODE Consumo1 (-1,00 -2,00 = SYSMIS).
RECODE EA2631a (100= SYSMIS).
RECODE cod_EA26211 (-1 -2= SYSMIS).
COMPUTE cod_EA2631a= EA2631a/100.
COMPUTE Consumo2= cod_EA2631a*cod_EA26211.
COMPUTE Consumo = sum.1(Consumo1, Consumo2).
EXECUTE.

*** INDUSTRIALES ***.
compute Industrias1 =0.
compute Industrias2 =0.
if (EA2631b=100)Industrias1 =cod_EA26211.
RECODE Industrias1 (-1,00 -2,00 = SYSMIS).
RECODE EA2631b (100= SYSMIS).
RECODE cod_EA26211 (-1 -2= SYSMIS).
COMPUTE cod_EA2631b= EA2631b/100.
COMPUTE Industrias2= cod_EA2631b*cod_EA26211.
COMPUTE Industrias = sum.1(Industrias1, Industrias2).
EXECUTE.

* Actividad / tipo de Empresa .
CTABLES
  /VLABELS VARIABLES=EG121ai tip_emp_cod EA26211 Consumo Industrias DISPLAY=LABEL
  /TABLE EG121ai + tip_emp_cod BY EA26211 [S][SUM] + Consumo [SUM] + Industrias [SUM]
  /CATEGORIES VARIABLES=EG121ai ['1', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tip_emp_cod ['2', '3', '4'] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*****************************************************************************************************************************************************.
*Nmero de empresas que cuentan con tratamiento de agua residual, y volmenes de aguas generadas 2013.
*****************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\Empresas.sav'.

WEIGHT by FExp.

SORT CASES  BY  EG1212 .
SPLIT FILE SEPARATE BY EG1212.

ALTER TYPE EA266 (f2,0).

COMPUTE Total= 0.
EXECUTE.

TABLES
/OBSERVATION = EA2662a2
/TABLE EG121ai + Total  by EA266 + EA2662a2
/STATISTICS COUNT CPCT(EA266)  CPCT SUM(EA2662a2).

SPLIT FILE off.

*****************************************************************************************************************************************************.
*Gastos Corrientes Relacionados en la Proteccin Ambiental. PRIVADAS
*****************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\GastosCorrientes.sav'.

WEIGHT by FExp.

SORT CASES  BY  EG1212 .
SPLIT FILE SEPARATE BY EG1212.

ALTER TYPE GC331a (f2.0).

RECODE GC331b (-2 -1  = SYSMIS).
EXECUTE.

SELECT IF (GC331a = 1 | GC331a = 2 | GC331a = 3 | GC331a = 4 | GC331a = 5 | GC331a = 6 | GC331a = 7 | GC331a = 8 | GC331a = 9 | GC331a = 10 | GC331a = 11).
EXECUTE.

*** Rama/ Tipo Empresa ***.
CTABLES
  /VLABELS VARIABLES=GC331a EG121ai tip_emp_cod GC331b DISPLAY=LABEL
  /TABLE GC331a [C] + EG121ai + tip_emp_cod BY GC331b [S][COUNT F40.0, MINIMUM, MEAN, MAXIMUM, SUM]
  /CATEGORIES VARIABLES=GC331a ['1', '10', '11', '12', '2', '3', '4', '5', '6', '7', '8', '9'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=EG121ai ['1', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tip_emp_cod ['2', '3', '4'] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*****************************************************************************************************************************************************.
*Gastos Corrientes relacionados con la Proteccin Ambiental .
*****************************************************************************************************************************************************.
GET
  FILE='C:\Users\gchiluisa\Documents\BASES DIEA\EMPRESAS\2013_EMPRESAS\Trabajada\GastosPublicos.sav'.
SORT CASES BY emp_cod(a).
recode GI77 (-1 = SYSMIS).
EXECUTE.
*.
CTABLES
  /VLABELS VARIABLES=GG321 GC51 GC52 GC53 GC56 GC57 GC58 GC59 GI71 GI73 GI7314 GI75 GI77 GI78 GCP84 
    GCP840104 GCP840201 GCP87 GCP88 
    DISPLAY=LABEL
  /TABLE GG321 BY GC51 [S][MINIMUM, MEAN, MEDIAN, SUM] + GC52 [S][MINIMUM, MEAN, MEDIAN, SUM] + 
    GC53 [S][MINIMUM, MEAN, MEDIAN, SUM] + GC56 [S][MINIMUM, MEAN, MEDIAN, SUM] + GC57 [S][MINIMUM, 
    MEAN, MEDIAN, SUM] + GC58 [S][MINIMUM, MEAN, MEDIAN, SUM] + GC59 [S][MINIMUM, MEAN, MEDIAN, SUM] + 
    GI71 [S][MINIMUM, MEAN, MEDIAN, SUM] + GI73 [S][MINIMUM, MEAN, MEDIAN, SUM] + GI7314 [S][MINIMUM, 
    MEAN, MEDIAN, SUM] + GI75 [S][MINIMUM, MEAN, MEDIAN, SUM] + GI77 [S][MINIMUM, MEAN, MEDIAN, SUM] + 
    GI78 [S][MINIMUM, MEAN, MEDIAN, SUM] + GCP84 [S][MINIMUM, MEAN, MEDIAN, SUM] + GCP840104 
    [S][MINIMUM, MEAN, MEDIAN, SUM] + GCP840201 [S][MINIMUM, MEAN, MEDIAN, SUM] + GCP87 [S][MINIMUM, 
    MEAN, MEDIAN, SUM] + GCP88 [S][MINIMUM, MEAN, MEDIAN, SUM]
  /CATEGORIES VARIABLES=GG321 ['1', '10', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER.
*Suma de Gastos*.
COMPUTE gastos =sum.1( GC51,GC52, GC53, GC56, GC57,GC58, GC59,GI71,GI73,GI7314,GI75,GI77,GI78,GCP84,GCP840104,GCP840201,GCP87 ,GCP88).
EXECUTE.
* Gasto_corriente*.
COMPUTE Gasto_corriente = sum.1(GC51,GC52,GC53,GC56,GC57,GC58,GC59).
EXECUTE.
* Gasto_Inversin*.
COMPUTE Gasto_Inversin = sum.1(GI71,GI73,GI7314,GI75,GI77,GI78).
EXECUTE.
* Gasto_Capital*.
COMPUTE Gasto_Capital = sum.1(GCP84,GCP840104,GCP840201,GCP87,GCP88).
EXECUTE.

CTABLES
  /VLABELS VARIABLES=GG321 Gasto_corriente Gasto_Inversin Gasto_Capital DISPLAY=BOTH
  /TABLE GG321 BY Gasto_corriente [S][MINIMUM, MEAN, MEDIAN, SUM] + Gasto_Inversin [S][MINIMUM, MEAN, MEDIAN, SUM]+ Gasto_Capital [S][MINIMUM, MEAN, MEDIAN, SUM]
  /CATEGORIES VARIABLES=GG321 ['1', '10', '2', '3', '4', '5', '6', '7', '8', '9'] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER.









































